# Command: dup

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    dup - Duplicate the object which is on top of the stack

Synopsis:

    any dup -> any any

Examples:

    2 dup -> 2 2
      (hello) dup -> (hello) (hello)

Diagnostics:

    Raises StackUnderflow error if the stack is empty.

Author:

    docu edited by Sirko Straube

SeeAlso:

- over
- index
- copy

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/slistack.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative